DIPlib Documentation - ©1995-2013 Quantitative Imaging Group, Delft University of Technology.

# Atan2

arithmetic function

## SYNOPSIS

dip_Error dip_Atan2 ( in1, in2, out )

## DATA TYPES

binary, integer, float

## FUNCTION

This function computes `out` = atan2(`in1` , `in2`) on a pixel by pixel basis. The data types of the `in1` and `in2` image may be of different types. See Information about dyadic operations for more information about what the type of the output will be.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in1` | First input
`dip_Image` | `in2` | Second input
`dip_Image` | `out` | Output

## SEE ALSO

`Sin`, `Cos`, `Tan`, `Asin`, `Acos`, `Atan`, `Sinh`, `Cosh`, `Tanh`